package com.fs.his.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.his.domain.FsUserDoctor;
import com.fs.his.param.FsUserDoctorListUParam;
import com.fs.his.vo.FsUserDoctorListUVO;

/**
 * 会员医生Service接口
 * 
 * @author fs
 * @date 2023-07-03
 */
public interface IFsUserDoctorService 
{
    /**
     * 查询会员医生
     * 
     * @param id 会员医生主键
     * @return 会员医生
     */
    public FsUserDoctor selectFsUserDoctorById(Long id);

    /**
     * 查询会员医生列表
     * 
     * @param fsUserDoctor 会员医生
     * @return 会员医生集合
     */
    public List<FsUserDoctor> selectFsUserDoctorList(FsUserDoctor fsUserDoctor);

    /**
     * 新增会员医生
     * 
     * @param fsUserDoctor 会员医生
     * @return 结果
     */
    public int insertFsUserDoctor(FsUserDoctor fsUserDoctor);

    /**
     * 修改会员医生
     * 
     * @param fsUserDoctor 会员医生
     * @return 结果
     */
    public int updateFsUserDoctor(FsUserDoctor fsUserDoctor);

    /**
     * 批量删除会员医生
     * 
     * @param ids 需要删除的会员医生主键集合
     * @return 结果
     */
    public int deleteFsUserDoctorByIds(Long[] ids);

    /**
     * 删除会员医生信息
     * 
     * @param id 会员医生主键
     * @return 结果
     */
    public int deleteFsUserDoctorById(Long id);


    List<FsUserDoctorListUVO> getMyDoctorList(FsUserDoctorListUParam param);

    R checkFollow(Long doctorId, long userId);

    int deleteFollow(Long doctorId, long userId);
}
